Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IAttribute

    java.lang.Object
      igeo.IAttribute

    public class IAttribute

extends java.lang.Object

A super class of misc attributes of IObject, mostly graphic related.

Author:
  Satoru Sugihara

Field Summary
`IColor` | `color` object's color
`int` | `id` ID integer of the object
`ILayer` | `layer` object's layer
`IMaterial` | `material` object's render material
`java.lang.String` | `name` object's name
`float` | `size` object's size, used as point size or etc
`IColor` | `stroke` object's stroek color; for wireframe + fill surface
`boolean` | `visible` visibility switch of the object
`float` | `weight` object's line weight

Constructor Summary
`IAttribute()`
`IAttribute(IAttribute attr)`

Method Summary
`java.awt.Color` | `awtColor()`
`IColor` | `clr()`
`IAttribute` | `clr(java.awt.Color c)`
`IAttribute` | `clr(java.awt.Color c, double alpha)`
`IAttribute` | `clr(java.awt.Color c, float alpha)`
`IAttribute` | `clr(java.awt.Color c, int alpha)`
`IAttribute` | `clr(double dgray)`
`IAttribute` | `clr(double dgray, double dalpha)`
`IAttribute` | `clr(double dr, double dg, double db)`
`IAttribute` | `clr(double dr, double dg, double db, double da)`
`IAttribute` | `clr(float fgray)`
`IAttribute` | `clr(float fgray, float falpha)`
`IAttribute` | `clr(float fr, float fg, float fb)`
`IAttribute` | `clr(float fr, float fg, float fb, float fa)`
`IAttribute` | `clr(IColor c)`
`IAttribute` | `clr(IColor c, double alpha)`
`IAttribute` | `clr(IColor c, float alpha)`
`IAttribute` | `clr(IColor c, int alpha)`
`IAttribute` | `clr(int gray)`
`IAttribute` | `clr(int gray, int alpha)`
`IAttribute` | `clr(int r, int g, int b)`
`IAttribute` | `clr(int r, int g, int b, int a)`
`java.awt.Color` | `color()`
`IAttribute` | `cp()`
`IAttribute` | `dup()`
`java.awt.Color` | `getAWTColor()`
`IColor` | `getColor()`
`void` | `hide()`
`IAttribute` | `hsb(double h, double s, double b)`
`IAttribute` | `hsb(double h, double s, double b, double a)`
`IAttribute` | `hsb(float h, float s, float b)`
`IAttribute` | `hsb(float h, float s, float b, float a)`
`boolean` | `isVisible()`
`IAttribute` | `merge(IAttribute attr)`
`IAttribute` | `set(IAttribute attr)`
`IAttribute` | `setColor(java.awt.Color c)`
`IAttribute` | `setColor(double dgray)`
`IAttribute` | `setColor(double dgray, double dalpha)`
`IAttribute` | `setColor(double dr, double dg, double db)`
`IAttribute` | `setColor(double dr, double dg, double db, double da)`
`IAttribute` | `setColor(float fgray)`
`IAttribute` | `setColor(float fgray, float falpha)`
`IAttribute` | `setColor(float fr, float fg, float fb)`
`IAttribute` | `setColor(float fr, float fg, float fb, float fa)`
`IAttribute` | `setColor(int gray)`
`IAttribute` | `setColor(int gray, int alpha)`
`IAttribute` | `setColor(int r, int g, int b)`
`IAttribute` | `setColor(int r, int g, int b, int a)`
`IAttribute` | `setHSBColor(double h, double s, double b)`
`IAttribute` | `setHSBColor(double h, double s, double b, double a)`
`IAttribute` | `setHSBColor(float h, float s, float b)`
`IAttribute` | `setHSBColor(float h, float s, float b, float a)`
`IAttribute` | `setWeight(float w)`
`void` | `show()`
`java.lang.String` | `toString()`
`boolean` | `visible()`
`IAttribute` | `visible(boolean v)`
`float` | `weight()`
`IAttribute` | `weight(double w)`
`IAttribute` | `weight(float w)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    public int id

  ID integer of the object

### name

    public java.lang.String name

  object's name

### layer

    public ILayer layer

  object's layer

### color

    public IColor color

  object's color

### stroke

    public IColor stroke

  object's stroek color; for wireframe + fill surface

### size

    public float size

  object's size, used as point size or etc

### weight

    public float weight

  object's line weight

### material

    public IMaterial material

  object's render material

### visible

    public boolean visible

  visibility switch of the object

Constructor Detail

### IAttribute

    public IAttribute()

### IAttribute

    public IAttribute(IAttribute attr)

Method Detail

### dup

    public IAttribute dup()

### cp

    public IAttribute cp()

### set

    public IAttribute set(IAttribute attr)

### merge

    public IAttribute merge(IAttribute attr)

### show

    public void show()

### hide

    public void hide()

### visible

    public IAttribute visible(boolean v)

### visible

    public boolean visible()

### isVisible

    public boolean isVisible()

### color

    public java.awt.Color color()

### awtColor

    public java.awt.Color awtColor()

### clr

    public IColor clr()

### clr

    public IAttribute clr(IColor c)

### clr

    public IAttribute clr(IColor c,
                          int alpha)

### clr

    public IAttribute clr(IColor c,
                          float alpha)

### clr

    public IAttribute clr(IColor c,
                          double alpha)

### clr

    public IAttribute clr(java.awt.Color c)

### clr

    public IAttribute clr(java.awt.Color c,
                          int alpha)

### clr

    public IAttribute clr(java.awt.Color c,
                          float alpha)

### clr

    public IAttribute clr(java.awt.Color c,
                          double alpha)

### clr

    public IAttribute clr(int gray)

### clr

    public IAttribute clr(float fgray)

### clr

    public IAttribute clr(double dgray)

### clr

    public IAttribute clr(int gray,
                          int alpha)

### clr

    public IAttribute clr(float fgray,
                          float falpha)

### clr

    public IAttribute clr(double dgray,
                          double dalpha)

### clr

    public IAttribute clr(int r,
                          int g,
                          int b)

### clr

    public IAttribute clr(float fr,
                          float fg,
                          float fb)

### clr

    public IAttribute clr(double dr,
                          double dg,
                          double db)

### clr

    public IAttribute clr(int r,
                          int g,
                          int b,
                          int a)

### clr

    public IAttribute clr(float fr,
                          float fg,
                          float fb,
                          float fa)

### clr

    public IAttribute clr(double dr,
                          double dg,
                          double db,
                          double da)

### hsb

    public IAttribute hsb(float h,
                          float s,
                          float b,
                          float a)

### hsb

    public IAttribute hsb(double h,
                          double s,
                          double b,
                          double a)

### hsb

    public IAttribute hsb(float h,
                          float s,
                          float b)

### hsb

    public IAttribute hsb(double h,
                          double s,
                          double b)

### weight

    public float weight()

### weight

    public IAttribute weight(float w)

### weight

    public IAttribute weight(double w)

### getAWTColor

    public java.awt.Color getAWTColor()

### getColor

    public IColor getColor()

### setColor

    public IAttribute setColor(java.awt.Color c)

### setColor

    public IAttribute setColor(int gray)

### setColor

    public IAttribute setColor(float fgray)

### setColor

    public IAttribute setColor(double dgray)

### setColor

    public IAttribute setColor(int gray,
                               int alpha)

### setColor

    public IAttribute setColor(float fgray,
                               float falpha)

### setColor

    public IAttribute setColor(double dgray,
                               double dalpha)

### setColor

    public IAttribute setColor(int r,
                               int g,
                               int b)

### setColor

    public IAttribute setColor(float fr,
                               float fg,
                               float fb)

### setColor

    public IAttribute setColor(double dr,
                               double dg,
                               double db)

### setColor

    public IAttribute setColor(int r,
                               int g,
                               int b,
                               int a)

### setColor

    public IAttribute setColor(float fr,
                               float fg,
                               float fb,
                               float fa)

### setColor

    public IAttribute setColor(double dr,
                               double dg,
                               double db,
                               double da)

### setHSBColor

    public IAttribute setHSBColor(float h,
                                  float s,
                                  float b,
                                  float a)

### setHSBColor

    public IAttribute setHSBColor(double h,
                                  double s,
                                  double b,
                                  double a)

### setHSBColor

    public IAttribute setHSBColor(float h,
                                  float s,
                                  float b)

### setHSBColor

    public IAttribute setHSBColor(double h,
                                  double s,
                                  double b)

### setWeight

    public IAttribute setWeight(float w)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD